Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.shadow
Class ShadowVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.shadow.ShadowVariableDescriptor

    public class ShadowVariableDescriptor

extends Object

Constructor Summary
`ShadowVariableDescriptor(PlanningEntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`void` | `afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)`
`PlanningVariableListener` | `buildPlanningVariableListener()`
`PlanningEntityDescriptor` | `getEntityDescriptor()`
`PlanningVariableDescriptor` | `getMappedByVariableDescriptor()`
`Object` | `getValue(Object entity)`
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`void` | `setValue(Object entity, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowVariableDescriptor

    public ShadowVariableDescriptor(PlanningEntityDescriptor entityDescriptor,
                                    PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### afterAnnotationsProcessed

    public void afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)

### getMappedByVariableDescriptor

    public PlanningVariableDescriptor getMappedByVariableDescriptor()

### getEntityDescriptor

    public PlanningEntityDescriptor getEntityDescriptor()

### getVariableName

    public String getVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### buildPlanningVariableListener

    public PlanningVariableListener buildPlanningVariableListener()

### getValue

    public Object getValue(Object entity)

### setValue

    public void setValue(Object entity,
                         Object value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.